Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class ByteArrayAttribute

    java.lang.Object
      iaik.pkcs.pkcs11.objects.Attribute
          iaik.pkcs.pkcs11.objects.ByteArrayAttribute

All Implemented Interfaces:
  Cloneable

public class ByteArrayAttribute
extends Attribute

Objects of this class represent a byte-array attribute of a PKCS#11 object as specified by PKCS#11.

Invariants

Field Summary

Fields inherited from class iaik.pkcs.pkcs11.objects.Attribute
`AC_ISSUER, ALWAYS_SENSITIVE, APPLICATION, ATTR_TYPES, attributeNames_, AUTH_PIN_FLAGS, BASE, CERTIFICATE_TYPE, ckAttribute_, CLASS, COEFFICIENT, DECRYPT, DERIVE, EC_PARAMS, EC_POINT, ECDSA_PARAMS, ENCRYPT, END_DATE, EXPONENT_1, EXPONENT_2, EXTRACTABLE, HAS_RESET, HW_FEATURE_TYPE, ID, ISSUER, KEY_GEN_MECHANISM, KEY_TYPE, LABEL, LOCAL, MODIFIABLE, MODULUS, MODULUS_BITS, NEVER_EXTRACTABLE, OBJECT_ID, OWNER, present_, PRIME, PRIME_1, PRIME_2, PRIME_BITS, PRIVATE, PRIVATE_EXPONENT, PUBLIC_EXPONENT, RESET_ON_INIT, SECONDARY_AUTH, SENSITIVE, sensitive_, SERIAL_NUMBER, SIGN, SIGN_RECOVER, START_DATE, SUB_PRIME_BITS, SUBJECT, SUBPRIME, TOKEN, TRUSTED, UNWRAP, VALUE, VALUE_BITS, VALUE_LEN, VENDOR_DEFINED, VERIFY, VERIFY_RECOVER, WRAP`

Constructor Summary
`ByteArrayAttribute(Long type)` Constructor taking the PKCS#11 type of the attribute.

Method Summary
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getByteArrayValue()` Get the byte-array value of this attribute.
`protected String` | `getValueString()` Get a string representation of the value of this attribute.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setByteArrayValue(byte[] value)` Set the byte-array value of this attribute.

Methods inherited from class iaik.pkcs.pkcs11.objects.Attribute
`clone, getAttributeName, getCkAttribute, getType, isPresent, isSensitive, setCkAttribute, setPresent, setSensitive, setType, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteArrayAttribute

    public ByteArrayAttribute(Long type)

  Constructor taking the PKCS#11 type of the attribute.

Parameters:
  `type` - The PKCS'11 type of this attribute; e.g. PKCS11Constants.CKA_VALUE.
Preconditions
  (type <> null)
Postconditions

Method Detail

### setByteArrayValue

    public void setByteArrayValue(byte[] value)

  Set the byte-array value of this attribute. Null, is also valid. A call to this method sets the present flag to true.

  Parameters:
    `value` - The byte-array value to set. May be null.
  Preconditions
  Postconditions

### getByteArrayValue

    public byte[] getByteArrayValue()

  Get the byte-array value of this attribute. Null, is also possible.

  Returns:
    The byte-array value of this attribute or null.
  Preconditions
  Postconditions

### getValueString

    protected String getValueString()

  Get a string representation of the value of this attribute.

  Overrides:
    `getValueString` in class `Attribute`
  Returns:
    A string representation of the value of this attribute.
  Preconditions
  Postconditions
    (result <> null)

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Overrides:
    `equals` in class `Attribute`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Overrides:
    `hashCode` in class `Attribute`
  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.